Error: UnregisteredEnv with OpenAI Universe on Python 3.5 Linux Mint. Cannot load any environments!


#1

I am running Python3.5 on Linux Mint.

I can import OpenAI Universe and Gym modules with no error, but when I try to run an example codes I get an error.

More specifically

raise error.UnregisteredEnv(‘No registered env with id: {}’.format(id)) gym.error.UnregisteredEnv: No registered env with id: flashgames.DuskDrive-v0
I get similar errors for any environment.

I have installed Docker and retried it, but still doesn’t work. And I am having issues with Anaconda, will appreciate a non-Conda solution.

Thank you!

Code:

import gym
import universe 

env = gym.make('flashgames.DuskDrive-v0')
env.configure(remotes=1)  # automatically creates a local docker container
observation_n = env.reset()

while True:
  action_n = [[('KeyEvent', 'ArrowUp', True)] for ob in observation_n]  # your agent here
  observation_n, reward_n, done_n, info = env.step(action_n)
  env.render()

Error Log:

2017-02-08 11:57:31,407] Making new env: flashgames.DuskDrive-v0
Traceback (most recent call last):
File “/usr/local/lib/python3.5/dist-packages/gym/envs/registration.py”, line 116, in spec
return self.env_specs[id]
KeyError: ‘flashgames.DuskDrive-v0’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/scarlet/Projects/Python/Data Science/OpenAi.py”, line 31, in
env = gym.make(‘flashgames.DuskDrive-v0’)
File “/usr/local/lib/python3.5/dist-packages/gym/envs/registration.py”, line 140, in make
return registry.make(id)
File “/usr/local/lib/python3.5/dist-packages/gym/envs/registration.py”, line 104, in make
spec = self.spec(id)
File “/usr/local/lib/python3.5/dist-packages/gym/envs/registration.py”, line 126, in spec
raise error.UnregisteredEnv(‘No registered env with id: {}’.format(id))
gym.error.UnregisteredEnv: No registered env with id: flashgames.DuskDrive-v0